Package org.jfree.layouting.renderer.model

## Class StaticBoxLayoutProperties

- java.lang.Object
- - org.jfree.layouting.renderer.model.StaticBoxLayoutProperties

- All Implemented Interfaces:
    `java.io.Serializable`

      public class StaticBoxLayoutProperties
      extends java.lang.Object
      implements java.io.Serializable

  A static properties collection. That one is static; once computed it does not change anymore. It does not (under no thinkable circumstances) depend on the given content. It may depend on static content of the parent. A box typically has two sets of margins. The first set is the declared margin set - it simply expresses the user's definitions. The second set is the effective margin set, it is based on the context of the element in the document tree and denotes the distance between the nodes edge and any oposite edge.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticBoxLayoutProperties​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSValue` | `getDominantBaseline​()` |
    `ExtendedBaselineInfo` | `getNominalBaselineInfo​()` |
    `int` | `getOrphans​()` |
    `int` | `getWidows​()` |
    `boolean` | `isAvoidPagebreakInside​()` |
    `boolean` | `isPreserveSpace​()` |
    `void` | `setAvoidPagebreakInside​(boolean avoidPagebreakInside)` |
    `void` | `setDominantBaseline​(CSSValue dominantBaseline)` |
    `void` | `setNominalBaselineInfo​(ExtendedBaselineInfo nominalBaselineInfo)` |
    `void` | `setOrphans​(int orphans)` |
    `void` | `setPreserveSpace​(boolean preserveSpace)` |
    `void` | `setWidows​(int widows)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticBoxLayoutProperties

          public StaticBoxLayoutProperties​()

  - ### Method Detail

    - #### getDominantBaseline

          public CSSValue getDominantBaseline​()

    - #### setDominantBaseline

          public void setDominantBaseline​(CSSValue dominantBaseline)

    - #### getNominalBaselineInfo

          public ExtendedBaselineInfo getNominalBaselineInfo​()

    - #### setNominalBaselineInfo

          public void setNominalBaselineInfo​(ExtendedBaselineInfo nominalBaselineInfo)

    - #### getWidows

          public int getWidows​()

    - #### setWidows

          public void setWidows​(int widows)

    - #### getOrphans

          public int getOrphans​()

    - #### setOrphans

          public void setOrphans​(int orphans)

    - #### isAvoidPagebreakInside

          public boolean isAvoidPagebreakInside​()

    - #### setAvoidPagebreakInside

          public void setAvoidPagebreakInside​(boolean avoidPagebreakInside)

    - #### isPreserveSpace

          public boolean isPreserveSpace​()

    - #### setPreserveSpace

          public void setPreserveSpace​(boolean preserveSpace)

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`